type 'a in_channel

external open_in : int -> 'a in_channel = "caml_serial_open_in"
(** Open a serial connection to a computer. *)

external reception_ready : 'a in_channel -> bool = "caml_serial_reception_ready"
(** Return true if an OCaml value is ready to be received by a serial
connection to a computer. *)

external receive : 'a in_channel -> 'a = "caml_serial_receive"
(** Receive an OCaml value from a computer through a serial connection.
The program execution is blocked until the value is transmitted. *)
