(*************************************************************************)
(*                                                                       *)
(*                                OCaPIC                                 *)
(*                                                                       *)
(*            Benoit Vaugon, Université Pierre et Marie Curie            *)
(*                                                                       *)
(*    Ce fichier est distribué sous les termes de la licence CeCILL-B    *)
(*    décrite dans le fichier ../../LICENCE.                             *)
(*                                                                       *)
(*************************************************************************)

open Pic;;

module Aff = Lcd.Connect (
struct
  let bus_size = Lcd.Four
  let e  = Pic.LATD0
  let rs = Pic.LATD2
  let rw = Pic.LATD1
  let bus = Pic.PORTC
end
);;
open Aff;;


init ();;
config ();;

let x = float_of_int 12 *. float_of_int 7 in
let y = ~-. x in
let n = int_of_float y in
  print_int n;
;;

print_int (int_of_float 50.2654824574);;
